/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ARRAY_GEOMETRY.h,v 1.4 2002/11/07 12:50:54 jaffe Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
/*----------------------------------------------------------------------- */
/* Definition of ARRAY_GEOMETRY table                                           */
/* This file was generated by mididefs.pl from  ../doc/mididoc.tex        */
/*------------------------------------------------------------------------*/
/* types defined in #include "fitsio.h" */
    
/* table type */
char* extname="ARRAY_GEOMETRY";
 
/* Define the keywords to be used */
int nkey = 7;       /* number of keywords */
char* keywords[] = { /* Table keywords */
         "REVISION",
         "ARRNAM",
         "FRAME",
         "ARRAYX",
         "ARRAYY",
         "ARRAYZ",
         "DATE-OBS"
};
int keytype[] = {   /* data types of the keywords */
         TINT,
         TSTRING,
         TSTRING,
         TDOUBLE,
         TDOUBLE,
         TDOUBLE,
         TSTRING
};
char* keycom[] = {   /* Description of the keywords */
         "Revision number of the table definition, no",
         "Name of the array, e.g. 'VLTI'",
         "Coordinate frame, e.g. 'GEOCENTRIC' for eart",
         "X coordinate of array center in the above frame",
         "Y coordinate of array center in meters",
         "Z coordinate of array center in meters",
         "Start date/time of observations described by this tabl"
};
/* Define the  columns in the table */
int ncol = 7;       /* number of columns */
char* coltype[] = { /*  Column labels */
         "TEL_NAME",
         "STA_NAME",
         "INDEX",
         "DIAMETER",
         "STAXYZ",
         "MNTSTA",
         "MNTPARAM"
};
int coldatatype[] = {   /* data types of the keywords */
         TSTRING,
         TSTRING,
         TSHORT,
         TFLOAT,
         TDOUBLE,
         TSHORT,
         TDOUBLE
};
char* colunits[] = {   /*  Units for columns */
         "",
         "",
         "",
         "METER",
         "METER",
         "",
         ""
};
long colcount[] = {   /*  Number of elements (as 1D) in the columns */
         8,
         8,
         1,
         1,
         3,
         1,
         1
};
char* coldim[] = {   /*  Dimensionality if 2D or higher */
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " "
};
/* */
